#include <stdio.h>


int main(){
unsigned int n,broj;
int brCif=0;
int trVr=1;
int niz[10000],i,j,k;
int temp,count=0;
int countVal=1;
scanf("%d",&n);
broj=n;
while(broj!=0){
 broj=broj/10;
 brCif++;
}
broj=n;
//i=brCif;
for(i=1;i<=brCif;i++){
  for(j=0;j<brCif-i;j++){
  trVr*=10;
  }
  count++;
 // for(k=1;k<count;k++){
 //   countVal*=10;
   
  //}
//  printf("%d\n",countVal);
//  printf("%d\n",trVr);
  niz[i]=((broj/trVr))%10;
  trVr=1;
  countVal=1;
  
  
}
for(i=1;i<=brCif;i++){
temp=niz[i];
if(temp!=niz[i+1]){
printf("%d",temp);
}
}
printf("\n");
}
